package gmt.common.vo;

import gmt.common.type.NetStatType;

import java.time.LocalDateTime;

public class NetStatVO {
	private NetStatType   stat;
	private LocalDateTime sendExecuteTime;
	private LocalDateTime recvExecuteTime;
	private LocalDateTime wbExecuteTime;
	private LocalDateTime wouldBlockFromTime;
	private LocalDateTime wouldBlockToTime;
	private String description;
	private LocalDateTime lastSendTime;
	private LocalDateTime errorTime;
	private int retryCount;
	
	public NetStatVO() {
		stat = NetStatType.NONE;
		sendExecuteTime = LocalDateTime.now();
		recvExecuteTime = LocalDateTime.now();
		wbExecuteTime   = LocalDateTime.now();
		wouldBlockFromTime = LocalDateTime.now();
		wouldBlockToTime = LocalDateTime.now();
		description = "";
		lastSendTime = LocalDateTime.now();
		errorTime = LocalDateTime.now();
		retryCount = 0;
	}

	public NetStatType getStat() {
		return stat;
	}

	public void setStat(NetStatType stat) {
		this.stat = stat;
	}

	public LocalDateTime getSendExecuteTime() {
		return sendExecuteTime;
	}

	public void setSendExecuteTime(LocalDateTime sendExecuteTime) {
		this.sendExecuteTime = sendExecuteTime;
	}

	public LocalDateTime getRecvExecuteTime() {
		return recvExecuteTime;
	}

	public void setRecvExecuteTime(LocalDateTime recvExecuteTime) {
		this.recvExecuteTime = recvExecuteTime;
	}

	public LocalDateTime getWbExecuteTime() {
		return wbExecuteTime;
	}

	public void setWbExecuteTime(LocalDateTime wbExecuteTime) {
		this.wbExecuteTime = wbExecuteTime;
	}

	public LocalDateTime getWouldBlockFromTime() {
		return wouldBlockFromTime;
	}

	public void setWouldBlockFromTime(LocalDateTime wouldBlockFromTime) {
		this.wouldBlockFromTime = wouldBlockFromTime;
	}

	public LocalDateTime getWouldBlockToTime() {
		return wouldBlockToTime;
	}

	public void setWouldBlockToTime(LocalDateTime wouldBlockToTime) {
		this.wouldBlockToTime = wouldBlockToTime;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public LocalDateTime getLastSendTime() {
		return lastSendTime;
	}

	public void setLastSendTime(LocalDateTime lastSendTime) {
		this.lastSendTime = lastSendTime;
	}

	public LocalDateTime getErrorTime() {
		return errorTime;
	}

	public void setErrorTime(LocalDateTime errorTime) {
		this.errorTime = errorTime;
	}

	public int getRetryCount() {
		return retryCount;
	}

	public void setRetryCount(int retryCount) {
		this.retryCount = retryCount;
	}

}
